MongoDB Schema Tools
=====

This project provides two tools exposing MongoDB schemas as relational constructs for use in such tools as business intelligence applications.

mongodrdl
---
The initial [DRDL](DRDL.md) file is generated via the \`mongodrdl\` utility.  The help is shown below.

    Usage:
      mongodrdl <options>
    
    Export the content of a running server into .yaml files.
    
    Specify a database with -d and a collection with -c to export the schema for only that database or collection.
    
    See http://docs.mongodb.org/manual/reference/program/mongodrdl/ for more information.
    
    general options:
          --help                     print usage
          --version                  print the tool version and exit
    
    verbosity options:
      -v, --verbose=                 more detailed log output (include multiple times for more verbosity, e.g. -vvvvv, or specify a numeric value, e.g. --verbose=N)
          --quiet                    hide all log output
    
    connection options:
      -h, --host=                    mongodb host to connect to (setname/host1,host2 for replica sets)
          --port=                    server port (can also use --host hostname:port)
    
    authentication options:
      -u, --username=                username for authentication
      -p, --password=                password for authentication
          --authenticationDatabase=  database that holds the user's credentials
          --authenticationMechanism= authentication mechanism to use
    
    namespace options:
      -d, --db=                      database to use
      -c, --collection=              collection to use
    
    output options:
      -o, --out=                     output file, or '-' for standard out (defaults to standard out)
      -f, --format=                  output file format, schema or yaml (defaults to yaml) (yaml)